summaryrefslogtreecommitdiff
path: root/tests/cert-tests/aki.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/aki.sh')
-rwxr-xr-xtests/cert-tests/aki.sh57
1 files changed, 57 insertions, 0 deletions
diff --git a/tests/cert-tests/aki.sh b/tests/cert-tests/aki.sh
new file mode 100755
index 0000000000..b7bbe91c1c
--- /dev/null
+++ b/tests/cert-tests/aki.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2008, 2010, 2012 Free Software Foundation, Inc.
+#
+# Author: Simon Josefsson
+#
+# This file is part of GnuTLS.
+#
+# GnuTLS is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 3 of the License, or (at
+# your option) any later version.
+#
+# GnuTLS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GnuTLS; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+set -e
+
+: ${srcdir=.}
+: ${CERTTOOL=../../src/certtool${EXEEXT}}
+TMPFILE=aki-$$.tmp
+: ${DIFF=diff -b -B}
+
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
+if ! test -z "${VALGRIND}"; then
+ VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}"
+fi
+
+${VALGRIND} "${CERTTOOL}" --certificate-info --infile "${srcdir}/data/aki-cert.pem" \
+ |grep -v "Algorithm Security Level"|grep -v ^warning > $TMPFILE
+rc=$?
+
+if test "${rc}" != "0"; then
+ echo "info failed"
+ exit ${rc}
+fi
+
+${DIFF} "${srcdir}/data/aki-cert.pem" $TMPFILE
+rc=$?
+
+# We're done.
+if test "${rc}" != "0"; then
+ exit ${rc}
+fi
+
+rm -f $TMPFILE
+
+exit 0